OGRE-Next: Ogre::LodCollapseCostOutside Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::LodCollapseCostOutside Class Reference

`#include <OgreLodCollapseCostOutside.h>`

Inheritance diagram for Ogre::LodCollapseCostOutside:
[legend]

## Public Member Functions
| LodCollapseCostOutside (LodCollapseCostPtr costCalculator, Real outsideWeight, Real outsideWalkAngle)
| ~LodCollapseCostOutside () override
Real | computeEdgeCollapseCost (LodData *data, LodData::VertexI srci, LodData::Edge *dstEdge) override
| Returns the collapse cost of the given edge.
void | initCollapseCosts (LodData *data) override
| This is called after the LodInputProvider has initialized LodData.
Public Member Functions inherited from Ogre::LodCollapseCost
virtual | ~LodCollapseCost ()
virtual void | computeVertexCollapseCost (LodData *data, LodData::VertexI vertexi, Real &collapseCost, LodData::VertexI &collapseToi)
| Called by initVertexCollapseCost and updateVertexCollapseCost, when the vertex minimal cost needs to be updated.
virtual void | initVertexCollapseCost (LodData *data, LodData::VertexI vertexi)
| Called from initCollapseCosts for every edge.
virtual void | updateVertexCollapseCost (LodData *data, LodData::VertexI vertexi)
| Called when edge cost gets invalid.

## Constructor & Destructor Documentation

## ◆ LodCollapseCostOutside()

Ogre::LodCollapseCostOutside::LodCollapseCostOutside | ( | LodCollapseCostPtr | costCalculator,
|  | Real | outsideWeight,
|  | Real | outsideWalkAngle )

## ◆ ~LodCollapseCostOutside()

Ogre::LodCollapseCostOutside::~LodCollapseCostOutside | ( |  | ) |
| override

## Member Function Documentation

## ◆ computeEdgeCollapseCost()

Real Ogre::LodCollapseCostOutside::computeEdgeCollapseCost | ( | LodData * | data,
|  | LodData::VertexI | srci,
|  | LodData::Edge * | dstEdge )
| overridevirtual

Returns the collapse cost of the given edge.

Implements Ogre::LodCollapseCost.

## ◆ initCollapseCosts()

void Ogre::LodCollapseCostOutside::initCollapseCosts | ( | LodData * | data | ) |
| overridevirtual

This is called after the LodInputProvider has initialized LodData.

Reimplemented from Ogre::LodCollapseCost.

The documentation for this class was generated from the following file:

- OgreLodCollapseCostOutside.h